Subject: Re: [syzbot] general protection fault in ieee80211_chanctx_num_assigned

From: syzbot <[email-masked]>
Date: Thu, 13 Jan 2022 11:04:07 -0800

syzbot suspects this issue was fixed by commit:

commit 563fbefed46ae4c1f70cffb8eb54c02df480b2c2
Author: Nguyen Dinh Phi <[email-masked]>
Date:   Wed Oct 27 17:37:22 2021 +0000

    cfg80211: call cfg80211_stop_ap when switch from P2P_GO type

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=16afe84bb00000
start commit:   7f75285ca572 Merge tag 'for-5.12/dm-fixes-3' of git://git...
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=b5591c832f889fd9
dashboard link: https://syzkaller.appspot.com/bug?extid=00ce7332120071df39b1
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=1393cbf9d00000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=1238ba29d00000

If the result looks correct, please mark the issue as fixed by replying with:

#syz fix: cfg80211: call cfg80211_stop_ap when switch from P2P_GO type

For information about bisection process see: https://goo.gl/tpsmEJ#bisection